Subject: Re: [Anima] [IANA #1159845] Upcoming Parameter Expiration: Early IANA Allocations for draft-ietf-anima-bootstrapping-keyinfra

From: Warren Kumari <[email-masked]>
Date: Tue, 21 Jan 2020 18:13:42 -0500

[ - people directly, +ANIMA (for information sharing, and to avoid
tripping the "Too many recipients!" trigger) ]
Dear Chairs / Author / WG,

I have no history here, but seeing as the document status was changed
to "Submitted to IESG for Publication" on 2018-07-25 (-16) , and has
been updated 18 times (Gadzooks!) since then[0] I have to assume that
the authors are actively working on this, and so it would be churlish
to not approve renewal.

Can someone summarize for me where this currently stands? (This isn't
my WG,  there are literally hundreds of mails on this, and it was a
long time since I last read / balloted on this).

A: it **looks** to me like the -34 version addresses Benjamin's
"examples should be correct" concern in "Section C.1.4.  Pledge key
pair", but I'm not quite sure (his email and this version both
happened on 2020-01-03, but I'm not sure on the ordering).

B: I **think** that Michael's email
(https://mailarchive.ietf.org/arch/msg/iesg/Nr_iDs3oqkJe70MIKJ0elm9CWLE)
addresses Tom Petch's concerns (and, by extension, Alissa's DISCUSS),
but again, I'd like someone to confirm...

So, for IANA's benefit, assuming the chairs *also* approve, yes, let's
renew - but, I *would* like to understand the current status of the
document...

W

[0]: most recently on January 3rd, 2020

On Tue, Jan 21, 2020 at 5:02 PM Amanda Baber via RT
<[email-masked]> wrote:
>
> Dear Chairs/ADs,
>
> Please see the renewal request below.
>
> Best regards,
>
> Amanda Baber
> Lead IANA Services Specialist
>
> On Thu Jan 09 04:17:44 2020, amanda.baber wrote:
> > Dear Chairs/ADs:
> >
> > The following registration made on behalf of draft-ietf-anima-
> > bootstrapping-keyinfra is set to expire on 2020-02-20:
> >
> > Registry: SMI Security for PKIX Certificate Extension
> > (1.3.6.1.5.5.7.1)
> > Reference: draft-ietf-anima-bootstrapping-keyinfra
> > URL: https://www.iana.org/assignments/smi-numbers
> > Dates: registered 2019-02-20, expires 2020-02-20
> >
> > Please let us know whether you want to renew or let the allocation
> > expire. We need replies from both a chair and an AD.
> >
> > If the chairs believe that the RFC 7120 requirements for early
> > allocation renewal have been met, and the AD concurs, we can update
> > the registry now to move the expiration date forward to 2021.
> >
> > Please see RFC 7120, and particularly Section 3.3, for rules
> > concerning the renewal of early allocations:
> >
> > http://www.rfc-editor.org/rfc/rfc7120.txt
> >
> > Please note that a second renewal (from 2021 until 2022) would require
> > permission from the IESG.
> >
> > Best regards,
> >
> > Amanda Baber
> > Lead IANA Services Specialist
>

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Thu, 23 Jan 2020 22:17:53 +0000

Hi all,

We've renewed the following early allocation in the SMI Security for PKIX Certificate Extension registry until 2021:

32	id-pe-masa-url (TEMPORARY - registered 2019-02-20, extension registered 2020-01-23, expires 2021-02-20)	[draft-ietf-anima-bootstrapping-keyinfra]

Please see
https://www.iana.org/assignments/smi-numbers

If the document hasn't been approved for publication by next January, we'll contact you about asking the IESG to approve an additional renewal.

Best regards,

Amanda Baber

On Wed Jan 22 22:56:09 2020, [email-masked] wrote:
> Please extend the registration. We even just requested/received another
> early registrarion to ensure that we have all the key codepoints
> for ongoing early implementation interop testing. The document is making
> good progress through IESG review, so we hope this will be the last
> time you need to early extend ;-).
> 
> Thank you very much
>   Toerless (as WG chair).
> 
> On Tue, Jan 21, 2020 at 10:02:47PM +0000, Amanda Baber via RT wrote:
> > Dear Chairs/ADs,
> >